/***************************************************************************
                          replacedialog.h  -  description
                             -------------------
    begin                : Sat Aug 18 2001
    copyright            : (C) 2001 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef REPLACEDIALOG_H
#define REPLACEDIALOG_H

// TQt includes
#include <kdialogbase.h>
#include <tqvaluelist.h>

// Own includes
#include "batchrenamer.h"

class TQCheckBox;
class TQGridLayout; 
class TQGridLayout;
class TQLabel;
class TQLineEdit;
class KPushButton;
class TQListViewItem;
class TDEListView;
class ReplaceDialog : public KDialogBase
{ 
    TQ_OBJECT
  

    public:
        ReplaceDialog( TQValueList<replacestrings> & r, TQWidget* parent = 0 );
        ~ReplaceDialog();

        TQValueList<replacestrings> getList();

    private slots:
        void add();
        void moveFocus();
        void remove();
        void invokeRegEdit();
        void enableControls();
        void slotEdit();
        
    private:
        void reset();

        TQLabel* TextLabel1;
        TQLineEdit* text2;
        TQLabel* TextLabel2;
        TQLineEdit* text1;
        TDEListView* list;
        TQCheckBox* checkReg;

        KPushButton* buttonAdd;
        KPushButton* buttonRemove;
        KPushButton* buttonEdit;
        KPushButton* buttonRegEdit;

        TQString encode( TQString s );
        TQString decode( TQString s );

    protected:
        void resizeEvent( TQResizeEvent* e );

        TQGridLayout* ReplaceDialogLayout;
};

#endif // REPLACEDIALOG_H
